JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | Protected Attributes | List of all members
Json::Exception Class Reference

Base class for all exceptions we throw. More...

`#include <json/value.h>`

Inheritance diagram for Json::Exception:
Collaboration diagram for Json::Exception:

## Public Member Functions
| Exception (String msg)
| ~Exception () noexcept override
char const * | what () const noexcept override

## Protected Attributes
String | msg_

## Detailed Description

Base class for all exceptions we throw.

We use nothing but these internally. Of course, STL can throw others.

Definition at line 67 of file value.h.

## Constructor & Destructor Documentation

## ◆ Exception()

Json::Exception::Exception | ( | String | msg | ) |

Definition at line 203 of file json_value.cpp.

## ◆ ~Exception()

Json::Exception::~Exception | ( |  | ) |
| override default noexcept

## Member Function Documentation

## ◆ what()

char const * Json::Exception::what | ( |  | ) | const
| override noexcept

Definition at line 205 of file json_value.cpp.

## Member Data Documentation

## ◆ msg_

String Json::Exception::msg_
| protected

Definition at line 74 of file value.h.

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_value.cpp